%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name:           python-tgext-admin
Version:        0.5.4
Release:        12%{?dist}
Summary:        Admin Controller add-on for basic TG identity model

Group:          Development/Languages
License:        MIT
URL:            http://pypi.python.org/pypi/tgext.admin/
Source0:        http://pypi.python.org/packages/source/t/tgext.admin/tgext.admin-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-setuptools python2-devel
#BuildRequires:  python2-tgext-crud python2-nose TurboGears2

%global _description\
Admin Controller add-on for basic TG identity model.\


%description %_description

%package -n python2-tgext-admin
Summary: %summary
Requires:       python2-tgext-crud >= 0.5.2
%{?python_provide:%python_provide python2-tgext-admin}

%description -n python2-tgext-admin %_description

%prep
%setup -q -n tgext.admin-%{version}


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}
%{__rm} -r %{buildroot}/%{python_sitelib}/tests


# Waiting for chameleon.genshi to be packaged
#%check
#PYTHONPATH=$(pwd) nosetests



%files -n python2-tgext-admin
%defattr(-,root,root,-)
%doc README.txt
%{python_sitelib}/tgext.admin-%{version}-py%{pyver}*
%{python_sitelib}/tgext/admin/


%changelog
* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.5.4-12
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.4-10
- Python 2 binary package renamed to python2-tgext-admin
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Dec 06 2013 Pierre-Yves Chibon <pingou@pingoured>fr - 0.5.4-3
- Change BR from python-setuptools-devel to python-setuptools
  See https://fedoraproject.org/wiki/Changes/Remove_Python-setuptools-devel

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr  9 2013 Luke Macken <lmacken@redhat.com> - 0.5.4-1
- Update to 0.5.4 (#767150)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 10 2011 Luke Macken <lmacken@redhat.com> - 0.3.11-1
- Update to 0.3.11 (#741578)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Sep 11 2010 Luke Macken <lmacken@redhat.com> - 0.3.10-2
- Require python-sprox, and add strict version requirements (#632844)

* Tue Sep 07 2010 Luke Macken <lmacken@redhat.com> - 0.3.10-1
- Update to 0.3.10

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.9-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed May 05 2010 Luke Macken <lmacken@redhat.com> - 0.3.9-1
- Update to 0.3.9

* Fri Jul 31 2009 Luke Macken <lmacken@redhat.com> - 0.2.5-1
- 0.2.5

* Sat Jun 27 2009 Luke Macken <lmacken@redhat.com> - 0.2.4-2
- Change %%define to %%global
- Don't package the test suite

* Mon Jun 01 2009 Luke Macken <lmacken@redhat.com> - 0.2.4-1
- Initial package
